class AST::VariableDeclaration
  attr_reader :name, :value

  def initialize(name, value)
    @name = name
    @value = value
  end

  def ==(other)
    other.is_a?(AST::VariableDeclaration) && other.name == @name &&
      other.value == @value
  end

  def execute(env)
    env.set(@name.name, @value)
  end
end
